Skip to main content
POST
/
enterprises
/
{enterprise_id}
/
reputation
/
numbers
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const number = await client.enterprises.reputation.numbers.create(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
  { phone_numbers: ['+16035551234'] },
);

console.log(number.data);
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "phone_number": "+16035551234",
      "enterprise_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page_number": 123,
    "page_size": 123,
    "total_results": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

Unique identifier of the enterprise (UUID)

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Body

application/json
phone_numbers
string[]
required

List of phone numbers to associate for reputation monitoring (max 100)

Required array length: 1 - 100 elements

Phone number in E.164 format

Response

Phone numbers associated successfully

data
object[]
meta
object